Redmine - Defect #37566

The number of the ordered list in the project description is not displayed and the indentation does
not match the unordered list

2022-08-10 11:33 - Takashi Kato

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4238

Resolution: Fixed Affected version: 4.2.7
Description

How to reproduce

1. create a project and its child project.
2. description source is as follows.

Parent Project

This is a test project

* list appearance test
* list appearance test
* list appearance test

1. apple
2. banana
3. cherry

Child Project

* iteml
* item2

*

item3

=

. tokyo
. osaka

w N

. nagoya
3. visit to /projects.
Perhaps #14302 is the same problem
https://www.redmine.org/issues/14302
This is a test project
Associated revisions

Revision 21769 - 2022-08-12 02:12 - Go MAEDA
Fix ordered list rendering inside project description (#37566).

Patch by Takashi Kato.

Revision 21771 - 2022-08-15 04:33 - Go MAEDA
Merged r21769 from trunk to 5.0-stable (#37566).

Revision 21772 - 2022-08-15 04:34 - Go MAEDA
Merged r21769 from trunk to 4.2-stable (#37566).

History

#1 - 2022-08-11 04:24 - Go MAEDA
- Status changed from New to Confirmed

- Target version set to 4.2.8
- Affected version changed from 5.0.2 to 4.2.7

The reported issue is reproducible when the current text formatting is Markdown.
Setting the target version to 4.2.8.

#2 - 2022-08-12 02:13 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you for fixing the issue.

#3 - 2022-08-15 04:38 - Go MAEDA

- Status changed from Resolved to Closed

Files

0001-Fix-list-rendering-inside-project-description.patch 1.11 KB 2022-08-10 Takashi Kato
before.png 19.9 KB 2022-08-10 Takashi Kato
after.png 15.4 KB 2022-08-10 Takashi Kato
